Communications
Read a generated mailing
Returns the organization compact generated mailing, template/run summary and artifact paths after checking current storage availability. Does not expose rendered HTML or frozen address/merge snapshots. Requires permission: one of mailings_view, mailings_generate, mailings_manage, manage_email, reports_view, reports_manage.
GET
/
admin
/
mailings
/
{id}
Read a generated mailing
curl --request GET \
--url https://api.gratona.com/v1/admin/mailings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/mailings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/mailings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/mailings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/mailings/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/mailings/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/mailings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"mailing_run_id": 42,
"mailing_template_id": 42,
"template_id": 42,
"donor_id": 42,
"entity_id": 42,
"donor_entity_id": 42,
"household_id": 42,
"mailing_template_name": "Example",
"template_name": "Example",
"scope_type": "Example",
"template_preset_key": "Example",
"recipient_name": "Example",
"run_status": "Example",
"run_source_type": "Example",
"delivery_recipient": "Example",
"skip_reason": "Example",
"error_message": "Example",
"delivery_error_message": "Example",
"run_created_date": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"run_completed_at": "2026-10-20T12:00:00Z",
"delivered_at": "2026-10-20T12:00:00Z",
"run_total_items": 1,
"run_ready_items": 1,
"run_skipped_items": 1,
"run_failed_items": 1,
"status": "ready",
"label_layout_preset": "single_label",
"delivery_mode": "none",
"delivery_status": "not_requested",
"run_delivery_status": "not_requested",
"warning_json": [
"<string>"
],
"warnings": [
"<string>"
],
"has_letter_artifact": true,
"has_label_artifact": true,
"has_label_sheet_artifact": true,
"has_download_artifact": true,
"has_print_artifact": true,
"has_run_zip_artifact": true,
"letter_url": "/admin/mailings/42/artifact/letter",
"label_url": "/admin/mailings/42/artifact/letter",
"label_sheet_url": "/admin/mailings/42/artifact/letter",
"download_url": "/admin/mailings/42/artifact/letter",
"print_url": "/admin/mailings/42/artifact/letter",
"run_zip_url": "/admin/mailings/42/artifact/letter"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Id in the current organization.
Response
Operation result.
Compact generated record with template/run information. List artifact flags reflect persisted Upload rows; detail flags probe storage. Artifact endpoints remain authoritative.
Show child attributes
Show child attributes
⌘I
Read a generated mailing
curl --request GET \
--url https://api.gratona.com/v1/admin/mailings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/mailings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/mailings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/mailings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/mailings/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/mailings/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/mailings/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"mailing_run_id": 42,
"mailing_template_id": 42,
"template_id": 42,
"donor_id": 42,
"entity_id": 42,
"donor_entity_id": 42,
"household_id": 42,
"mailing_template_name": "Example",
"template_name": "Example",
"scope_type": "Example",
"template_preset_key": "Example",
"recipient_name": "Example",
"run_status": "Example",
"run_source_type": "Example",
"delivery_recipient": "Example",
"skip_reason": "Example",
"error_message": "Example",
"delivery_error_message": "Example",
"run_created_date": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"run_completed_at": "2026-10-20T12:00:00Z",
"delivered_at": "2026-10-20T12:00:00Z",
"run_total_items": 1,
"run_ready_items": 1,
"run_skipped_items": 1,
"run_failed_items": 1,
"status": "ready",
"label_layout_preset": "single_label",
"delivery_mode": "none",
"delivery_status": "not_requested",
"run_delivery_status": "not_requested",
"warning_json": [
"<string>"
],
"warnings": [
"<string>"
],
"has_letter_artifact": true,
"has_label_artifact": true,
"has_label_sheet_artifact": true,
"has_download_artifact": true,
"has_print_artifact": true,
"has_run_zip_artifact": true,
"letter_url": "/admin/mailings/42/artifact/letter",
"label_url": "/admin/mailings/42/artifact/letter",
"label_sheet_url": "/admin/mailings/42/artifact/letter",
"download_url": "/admin/mailings/42/artifact/letter",
"print_url": "/admin/mailings/42/artifact/letter",
"run_zip_url": "/admin/mailings/42/artifact/letter"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}